curl --request GET \
--url https://int-api.mx.com/users/{user_guid}/spending_plans/{spending_plan_guid}/iterations/{iteration_number} \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/users/{user_guid}/spending_plans/{spending_plan_guid}/iterations/{iteration_number}"
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Accept-Version': '<accept-version>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://int-api.mx.com/users/{user_guid}/spending_plans/{spending_plan_guid}/iterations/{iteration_number}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-api.mx.com/users/{user_guid}/spending_plans/{spending_plan_guid}/iterations/{iteration_number}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Accept-Version: <accept-version>",
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://int-api.mx.com/users/{user_guid}/spending_plans/{spending_plan_guid}/iterations/{iteration_number}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Accept-Version", "<accept-version>")
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://int-api.mx.com/users/{user_guid}/spending_plans/{spending_plan_guid}/iterations/{iteration_number}")
.header("Accept-Version", "<accept-version>")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-api.mx.com/users/{user_guid}/spending_plans/{spending_plan_guid}/iterations/{iteration_number}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Accept-Version"] = '<accept-version>'
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"iteration": {
"created_at": "2025-02-13T18:08:00+00:00",
"end_on": "2023-05-31",
"guid": "SPI-848e6648-3fa3-4632-ac8f-e65f03167102",
"iteration_number": 1,
"spending_plan_guid": "SPL-dbfe201d-c341-4bff-93c0-62a918d0b600",
"start_on": "2023-05-01",
"updated_at": "2025-02-13T18:09:00+00:00",
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
}
}Read a spending plan iteration
Use this endpoint to read the attributes of a specific spending plan iteration according to its iteration_number.
curl --request GET \
--url https://int-api.mx.com/users/{user_guid}/spending_plans/{spending_plan_guid}/iterations/{iteration_number} \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/users/{user_guid}/spending_plans/{spending_plan_guid}/iterations/{iteration_number}"
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Accept-Version': '<accept-version>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://int-api.mx.com/users/{user_guid}/spending_plans/{spending_plan_guid}/iterations/{iteration_number}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-api.mx.com/users/{user_guid}/spending_plans/{spending_plan_guid}/iterations/{iteration_number}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Accept-Version: <accept-version>",
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://int-api.mx.com/users/{user_guid}/spending_plans/{spending_plan_guid}/iterations/{iteration_number}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Accept-Version", "<accept-version>")
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://int-api.mx.com/users/{user_guid}/spending_plans/{spending_plan_guid}/iterations/{iteration_number}")
.header("Accept-Version", "<accept-version>")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-api.mx.com/users/{user_guid}/spending_plans/{spending_plan_guid}/iterations/{iteration_number}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Accept-Version"] = '<accept-version>'
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"iteration": {
"created_at": "2025-02-13T18:08:00+00:00",
"end_on": "2023-05-31",
"guid": "SPI-848e6648-3fa3-4632-ac8f-e65f03167102",
"iteration_number": 1,
"spending_plan_guid": "SPL-dbfe201d-c341-4bff-93c0-62a918d0b600",
"start_on": "2023-05-01",
"updated_at": "2025-02-13T18:09:00+00:00",
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
}
}Authorizations
To authenticate with the Platform API, include your Base64-encoded client_id and api_key in the Authorization header of every request:
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'
Headers
MX Platform API version.
"v20260929"
Path Parameters
The unique identifier for a user, beginning with the prefix USR-.
The unique ID for the spending_plan.
The current iteration number for the spending plan iteration.
Response
OK
Hide child attributes
Hide child attributes
The date and time the spending plan iteration was created, represented in ISO 8601 format with a timestamp.
"2025-02-13T18:08:00+00:00"
The date on which the spending plan iteration ends.
"2023-05-31"
The unique identifier for the spending plan iteration. Defined by MX.
"SPI-848e6648-3fa3-4632-ac8f-e65f03167102"
The current iteration number for the spending plan iteration.
1
The unique identifier for the spending plan. Defined by MX.
"SPL-dbfe201d-c341-4bff-93c0-62a918d0b600"
The date on which the spending plan iteration starts.
"2023-05-01"
The date and time the resource was last updated in ISO 8601 format with a timestamp.
For categories, this field will always be null when is_default is true.
"2025-02-13T18:09:00+00:00"
The unique identifier for the user. Defined by MX.
"USR-fa7537f3-48aa-a683-a02a-b18940482f54"

